Bug 819349 - [abrt] xscreensaver-gl-extras-5.15-3.fc16: fps_free: Process /usr/libexec/xscreensaver/companioncube was killed by signal 11 (SIGSEGV)
[abrt] xscreensaver-gl-extras-5.15-3.fc16: fps_free: Process /usr/libexec/xsc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:46d447a187018f87d23da2c73f7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-06 15:58 EDT by josef radinger
Modified: 2012-05-26 03:22 EDT (History)
1 user (show)

See Also:
Fixed In Version: xscreensaver-5.15-6.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-18 06:23:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.74 KB, text/plain)
2012-05-06 15:58 EDT, josef radinger
no flags Details
File: maps (7.36 KB, text/plain)
2012-05-06 15:58 EDT, josef radinger
no flags Details

  None (edit)
Description josef radinger 2012-05-06 15:58:20 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/libexec/xscreensaver/companioncube -pair
comment:        seems that paasing "-pair" and quitting via "q" will crash any xscreensaver hack.
crash_function: fps_free
executable:     /usr/libexec/xscreensaver/companioncube
kernel:         3.3.4-1.fc16.i686.PAE
pid:            16787
pwd:            /home/cheese
reason:         Process /usr/libexec/xscreensaver/companioncube was killed by signal 11 (SIGSEGV)
time:           Sun 06 May 2012 09:36:42 PM CEST
uid:            1000
username:       cheese
xsession_errors: 

backtrace:      Text file, 12021 bytes
maps:           Text file, 7537 bytes

dso_list:
:/usr/lib/libpciaccess.so.0.10.8 libpciaccess-0.12.1-1.fc15.i686 (Fedora Project) 1333821809
:/lib/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.i686 (Fedora Project) 1333821442
:/usr/lib/libXmu.so.6.2.0 libXmu-1.1.0-2.fc15.i686 (Fedora Project) 1333821548
:/usr/lib/libICE.so.6.3.0 libICE-1.0.7-1.fc16.i686 (Fedora Project) 1333821484
:/lib/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1333821472
:/usr/lib/libGL.so.1.2 mesa-libGL-7.11.2-3.fc16.i686 (Fedora Project) 1333822128
:/usr/lib/libXxf86vm.so.1.0.0 libXxf86vm-1.1.1-2.fc15.i686 (Fedora Project) 1333821548
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1333821509
:/usr/lib/libdrm.so.2.4.0 libdrm-2.4.33-1.fc16.i686 (Fedora Project) 1336158585
:/usr/lib/libSM.so.6.0.1 libSM-1.2.0-2.fc15.i686 (Fedora Project) 1333821488
:/usr/lib/libstdc++.so.6.0.16 libstdc++-4.6.3-2.fc16.i686 (Fedora Project) 1333821483
:/lib/libexpat.so.1.6.0 expat-2.1.0-1.fc16.i686 (Fedora Project) 1335988928
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc16.i686 (Fedora Project) 1333821510
:/usr/lib/libXext.so.6.4.0 libXext-1.3.0-1.fc16.i686 (Fedora Project) 1333821510
:/usr/lib/libdrm_intel.so.1.0.0 libdrm-2.4.33-1.fc16.i686 (Fedora Project) 1336158585
:/lib/ld-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1333821472
:/usr/lib/libXt.so.6.0.0 libXt-1.1.1-1.fc16.i686 (Fedora Project) 1333821512
:/lib/libselinux.so.1 libselinux-2.1.6-6.fc16.i686 (Fedora Project) 1333821479
:/usr/lib/dri/i965_dri.so mesa-dri-drivers-7.11.2-3.fc16.i686 (Fedora Project) 1333822128
:/lib/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1333821472
:/usr/lib/libGLU.so.1.3.071100 mesa-libGLU-7.11.2-3.fc16.i686 (Fedora Project) 1333822129
:/lib/librt-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1333821472
:/usr/lib/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.i686 (Fedora Project) 1333821510
:/lib/libc-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1333821472
:/usr/libexec/xscreensaver/companioncube xscreensaver-gl-extras-1:5.15-3.fc16.i686 (Fedora Project) 1334145969
:/lib/libuuid.so.1.3.0 libuuid-2.20.1-2.3.fc16.i686 (Fedora Project) 1336158566
:/lib/libm-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1333821472
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-3.fc16.i686 (Fedora Project) 1333821509
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.i686 (Fedora Project) 1333821510

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1631
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GLADE_PIXMAP_PATH=:
:GPG_AGENT_INFO=/tmp/keyring-wqaqgM/gpg:0:1
:SHELL=/bin/bash
:TERM=xterm
:XDG_MENU_PREFIX=xfce-
:XDG_SESSION_COOKIE=9b2b5571b0ceec63758d81170000000e-1336210137.653179-1288328361
:HISTSIZE=1000
:WINDOWID=111149090
:GNOME_KEYRING_CONTROL=/tmp/keyring-wqaqgM
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:IMSETTINGS_MODULE=none
:XTERM_SHELL=/bin/bash
:USER=cheese
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/keyring-wqaqgM/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1664,unix/unix:/tmp/.ICE-unix/1664
:USERNAME=cheese
:XDG_CONFIG_DIRS=/etc/xdg
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/cheese/.local/bin:/home/cheese/bin
:DESKTOP_SESSION=xfce
:MAIL=/var/spool/mail/cheese
:QT_IM_MODULE=xim
:PWD=/home/cheese
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1489
:LANG=en_US.UTF-8
:GDMSESSION=xfce
:XTERM_LOCALE=en_US.UTF-8
:'XTERM_VERSION=X.Org 7.6.0(277)'
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HOME=/home/cheese
:XDG_SEAT=seat0
:SHLVL=3
:LOGNAME=cheese
:CVS_RSH=ssh
:QTLIB=/usr/lib/qt-3.3/lib
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-y6XDCD2D3Z,guid=322e0ff7c1e2b3a76835c2d20000002a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/cheese
:LIBGLADE_MODULE_PATH=:
:GLADE_CATALOG_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-cheese-k47uNx/database
:_=/usr/libexec/xscreensaver/companioncube

event_log:
:2012-05-06-21:43:16> Querying server settings
:2012-05-06-21:43:19  Preparing an archive to upload
:2012-05-06-21:43:21  Uploading 223824 bytes
:2012-05-06-21:43:29  Upload successful
:2012-05-06-21:43:31  Retrace job started
:2012-05-06-21:43:42  Initializing virtual root
:2012-05-06-21:43:53  Initializing virtual root
:2012-05-06-21:44:05  Initializing virtual root
:2012-05-06-21:44:18  Initializing virtual root
:2012-05-06-21:44:36  Initializing virtual root
:2012-05-06-21:44:47  Initializing virtual root
:2012-05-06-21:45:04  Initializing virtual root
:2012-05-06-21:45:15  Initializing virtual root
:2012-05-06-21:45:26  Initializing virtual root
:2012-05-06-21:45:38  Initializing virtual root
:2012-05-06-21:45:49  Initializing virtual root
:2012-05-06-21:46:00  Initializing virtual root
:2012-05-06-21:46:11  Initializing virtual root
:2012-05-06-21:46:22  Initializing virtual root
:2012-05-06-21:46:33  Initializing virtual root
:2012-05-06-21:46:45  Initializing virtual root
:2012-05-06-21:46:56  Initializing virtual root
:2012-05-06-21:47:07  Initializing virtual root
:2012-05-06-21:47:19  Cleaning up virtual root
:2012-05-06-21:47:30  Retrace job finished successfully
:2012-05-06-21:56:59> Element 'xsession_errors' saved
:2012-05-06-21:57:00> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: 841476f2-ac6f-4e73-ba6d-1be478aa9081
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5382.28
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2701
:System Memory: 3924
:System Swap: 5503
:Vendor: LENOVO
:System: 42433ZG ThinkPad T520
:Form factor: Notebook
:Kernel: 3.3.4-1.fc16.i686.PAE
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(32902:294:6058:8655) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(4480:59426:6058:8655) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8655) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 13081819 8371540 7716180 3276800 2943038 2943038
:/dev/sda5 /boot ext4 1024 1024 508745 411996 386396 128016 127787 127787
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 36503628 30685589 28857954 9142272 8880518 8880518
:

var_log_messages:
:May  6 21:36:42 localhost kernel: [97240.421433] companioncube[16787]: segfault at 41c ip 0804d819 sp bf891860 error 4 in companioncube[8044000+53000]
:May  6 21:36:43 localhost abrt[16788]: Saved core dump of pid 16787 (/usr/libexec/xscreensaver/companioncube) to /var/spool/abrt/ccpp-2012-05-06-21:36:42-16787 (83165184 bytes)
Comment 1 josef radinger 2012-05-06 15:58:24 EDT
Created attachment 582496 [details]
File: backtrace
Comment 2 josef radinger 2012-05-06 15:58:27 EDT
Created attachment 582497 [details]
File: maps
Comment 3 Mamoru TASAKA 2012-05-06 23:28:10 EDT
Well, some questions:
* Did you pass "-pair" option by yourself? 
* If not, did running xscreensaver daemon launch companioncube hack with "-pair" option (automatically)? If it is this latter case (or if you are not sure), please attach your ~/.xscreensaver file.
Comment 4 Fedora Update System 2012-05-07 23:38:37 EDT
xscreensaver-5.15-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xscreensaver-5.15-6.fc17
Comment 5 Fedora Update System 2012-05-07 23:39:21 EDT
xscreensaver-5.15-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xscreensaver-5.15-6.fc16
Comment 6 Fedora Update System 2012-05-07 23:39:33 EDT
xscreensaver-5.15-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xscreensaver-5.15-6.fc15
Comment 7 Mamoru TASAKA 2012-05-07 23:41:36 EDT
I still appreciate information from you, however anyway I submitted new rpms which are supposed to fix this issue, which will be pushed into testing repository within a few days.
Comment 8 Fedora Update System 2012-05-10 10:32:36 EDT
Package xscreensaver-5.15-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xscreensaver-5.15-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7544/xscreensaver-5.15-6.fc16
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-05-18 06:23:15 EDT
xscreensaver-5.15-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-05-18 06:29:45 EDT
xscreensaver-5.15-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-05-26 03:22:58 EDT
xscreensaver-5.15-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.